View Issue Details

IDProjectCategoryView StatusLast Update
0021707mantisbtplug-inspublic2016-10-02 18:41
ReporterdregadAssigned Tocommunity 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.2Fixed in Version1.3.2 
Summary0021707: plugin_get() fails to use the default argument
Description

The bug is fairly obvious, given that $t_current is assigned either the function argument or the default value and then the value of $t_current is not used at all in the function's return value.

Additional Information

Originally reported by @val-kulkov in https://github.com/mantisbt/mantisbt/pull/896

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master-1.3.x 06b44c90

2016-09-20 13:00:05

Val Kulkov


Committer: dregad Details Diff
plugin_get() fails to use the default argument

Fixes a bug that prevents defaulting to current plugin if
plugin_get() is called without arguments.

Fixes 0021707

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/plugin_api.php Diff File

Issue History

Date Modified Username Field Change
2016-09-21 09:16 dregad New Issue
2016-09-21 09:16 dregad Status new => assigned
2016-09-21 09:16 dregad Assigned To => community
2016-09-21 09:17 dregad Changeset attached => MantisBT master-1.3.x 06b44c90
2016-09-21 09:17 dregad Assigned To community => dregad
2016-09-21 09:17 dregad Status assigned => resolved
2016-09-21 09:17 dregad Resolution open => fixed
2016-09-21 09:17 dregad Fixed in Version => 1.3.2
2016-09-21 11:31 dregad Assigned To dregad => community
2016-10-02 18:41 vboctor Status resolved => closed